seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/10/23, 14:38:31


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Nvidia driver. Some devices moved to legacy  (Read 5773 times)

0 Members and 1 Guest are viewing this topic.

Offline ajavibp

  • User
  • Posts: 86
    • The website of the association where I collaborate.
Nvidia driver. Some devices moved to legacy
« on: 2015/04/15, 16:03:13 »
The new Nvidia driver remove some devices to a legacy driver. Take care about upgrade because new legacy drivers is not in the repository right now.

Offline ghettoblaster

  • User
  • Posts: 55
Re: Nvidia driver. Some devices moved to legacy
« Reply #1 on: 2015/04/15, 18:14:27 »
Anyone knows a solution for somebody who went in that trap this morning?  :-[

Managed to get my desktop back reinstalling noveau driver.

What can i do to get the old nvidia driver reinstalled?

Thanks

ghettoblaster
« Last Edit: 2015/04/15, 19:09:06 by ghettoblaster »

Offline hendrikL

  • User
  • Posts: 318
Re: Nvidia driver. Some devices moved to legacy
« Reply #2 on: 2015/04/15, 19:27:36 »
maybe you will find it there:
http://snapshot.debian.org/

or apt-get install <package=version> if the package still exist in the repositories, but may u need to downgrade, or wait till it is fixed.
« Last Edit: 2015/04/15, 19:31:47 by hendrikL »

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.304
Re: Nvidia driver. Some devices moved to legacy
« Reply #3 on: 2015/04/15, 19:30:23 »
maybe you will find it there:
http://snapshot.debian.org/
No, the needed driver is in debian/unstable.
It was my mistake, to put nvidia-driver 346.59-1.siduction.1 to fixes, i have forgotten, that it breaks the driver for users, who need 340 branch.
At the moment, we remove it from fixes.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline ghettoblaster

  • User
  • Posts: 55
Re: Nvidia driver. Some devices moved to legacy
« Reply #4 on: 2015/04/15, 19:39:22 »
Solved it by reinstalling following packages from /var/cache/apt/archives using dpkg:

nvidia-driver_340.76-1.siduction.1_amd64.deb
libegl1-nvidia_340.76-1.siduction.1_amd64.deb
libnvidia-eglcore_340.76-1.siduction.1_amd64.deb
xserver-xorg-video-nvidia_340.76-1.siduction.1_amd64.deb
nvidia-kernel-dkms_340.76-1.siduction.1_amd64.deb
nvidia-driver-bin_340.76-1.siduction.1_amd64.deb
nvidia-kernel-common_20141201+1_amd64.deb
nvidia-installer-cleanup_20141201+1_amd64.deb
nvidia-support_20141201+1_amd64.deb
nvidia-vdpau-driver_340.76-1.siduction.1_amd64.deb
nvidia-alternative_340.76-1.siduction.1_amd64.deb


Offline ajavibp

  • User
  • Posts: 86
    • The website of the association where I collaborate.
Re: Nvidia driver. Some devices moved to legacy
« Reply #5 on: 2015/04/15, 22:30:47 »
Anyone knows a solution for somebody who went in that trap this morning?  :-[

Managed to get my desktop back reinstalling noveau driver.

What can i do to get the old nvidia driver reinstalled?

Thanks

ghettoblaster


I've solved removing all nvidia packages and installing the driver from Nvidia web page. I hope the 340 legacy version will soon be in the repositories.
« Last Edit: 2015/04/15, 22:41:12 by ajavibp »

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.304
Re: Nvidia driver. Some devices moved to legacy
« Reply #6 on: 2015/04/15, 22:32:30 »
Anyone knows a solution for somebody who went in that trap this morning?  :-[

Managed to get my desktop back reinstalling noveau driver.

What can i do to get the old nvidia driver reinstalled?

Thanks

ghettoblaster


I've solved removing all nvidia packages and installing the driver from Nvidia web page. I hope the 340 legacy version will soon be in the repositories.
Nice solution for breaking the system, especialy if one is using multiarch.
Pleas don't suggest such crap here to other users.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline ajavibp

  • User
  • Posts: 86
    • The website of the association where I collaborate.
Re: Nvidia driver. Some devices moved to legacy
« Reply #7 on: 2015/04/15, 22:42:41 »
Anyone knows a solution for somebody who went in that trap this morning?  :-[

Managed to get my desktop back reinstalling noveau driver.

What can i do to get the old nvidia driver reinstalled?

Thanks

ghettoblaster


I've solved removing all nvidia packages and installing the driver from Nvidia web page. I hope the 340 legacy version will soon be in the repositories.
Nice solution for breaking the system, especialy if one is using multiarch.
Pleas don't suggest such crap here to other users.


 :o  Sorry!
How can I solve in other way?

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.304
Re: Nvidia driver. Some devices moved to legacy
« Reply #8 on: 2015/04/15, 22:48:54 »
The eaysyest way, if there are not used apt-get remove/autoremove would be:


Code: [Select]
dpkg -i /var/cache/apt/archives/*340.76-1.siduction.1*

But after using the f***ing installer, the system is not clean for that.
And then, agaida is builing a nvidia-legacy-340-driver at the moment, if it is ready for working correct, he will upload it.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.756
    • g-com.eu
Re: Nvidia driver. Some devices moved to legacy
« Reply #9 on: 2015/04/16, 00:49:48 »
The new driver is uploaded to fixes right now - because i own no sufficient hardware i can't test it - but the driver installs just fine on my intel notebook - kernelmodules are build too without error 8)

one can install the transitional package nvidia-glx-legacy-340xx or install the driver with apt-get install nvidia-legacy-340xx-driver at wish. musca has tested it and says the driver works for him :)
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline ghettoblaster

  • User
  • Posts: 55
Re: Nvidia driver. Some devices moved to legacy
« Reply #10 on: 2015/04/16, 10:17:41 »
First try to install the new driver:

Code: [Select]
apt-get install nvidia-legacy-340xx-driver libgl1-nvidia-legacy-340xx-glx-i386 libgles1-nvidia-legacy-340xx libgles2-nvidia-legacy-340xx
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libgles1-nvidia-legacy-340xx is already the newest version.
libgles2-nvidia-legacy-340xx is already the newest version.
nvidia-legacy-340xx-driver is already the newest version.
libgl1-nvidia-legacy-340xx-glx-i386:i386 is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 libegl1-nvidia-legacy-340xx : Depends: libnvidia-legacy-340xx-eglcore (= 340.76-3) but it is not going to be installed
 libgl1-nvidia-legacy-340xx-glx-i386:i386 : Depends: libgl1-nvidia-legacy-340xx-glx:i386 but it is not going to be installed
 libgles1-nvidia-legacy-340xx : Depends: libnvidia-legacy-340xx-eglcore (= 340.76-3) but it is not going to be installed
 libgles2-nvidia-legacy-340xx : Depends: libnvidia-legacy-340xx-eglcore (= 340.76-3) but it is not going to be installed
 nvidia-legacy-340xx-driver : Depends: libgl1-nvidia-legacy-340xx-glx (= 340.76-3) but it is not going to be installed
                              Depends: nvidia-legacy-340xx-driver-bin (= 340.76-3) but it is not going to be installed
 xserver-xorg-video-nvidia-legacy-340xx : Depends: libgl1-nvidia-legacy-340xx-glx (= 340.76-3) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Using 'apt-get -f install':

Code: [Select]
The following extra packages will be installed:
  libgl1-nvidia-legacy-340xx-glx libgl1-nvidia-legacy-340xx-glx:i386 libnvidia-legacy-340xx-eglcore
  nvidia-legacy-340xx-driver-bin
The following NEW packages will be installed:
  libgl1-nvidia-legacy-340xx-glx libgl1-nvidia-legacy-340xx-glx:i386 libnvidia-legacy-340xx-eglcore
  nvidia-legacy-340xx-driver-bin
0 upgraded, 4 newly installed, 0 to remove and 10 not upgraded.
10 not fully installed or removed.
Need to get 0 B/22.2 MB of archives.
After this operation, 130 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Preconfiguring packages ...
(Reading database ... 329749 files and directories currently installed.)
Preparing to unpack .../libnvidia-legacy-340xx-eglcore_340.76-3_amd64.deb ...
Unpacking libnvidia-legacy-340xx-eglcore:amd64 (340.76-3) ...
dpkg: error processing archive /var/cache/apt/archives/libnvidia-legacy-340xx-eglcore_340.76-3_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libnvidia-glsi.so.340.76', which is also in package libnvidia-eglcore:amd64 340.76-1.siduction.1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack .../libgl1-nvidia-legacy-340xx-glx_340.76-3_amd64.deb ...
Unpacking libgl1-nvidia-legacy-340xx-glx:amd64 (340.76-3) ...
dpkg: error processing archive /var/cache/apt/archives/libgl1-nvidia-legacy-340xx-glx_340.76-3_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/tls/libnvidia-tls.so.340.76', which is also in package libgl1-nvidia-glx:amd64 340.76-1.siduction.1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack .../nvidia-legacy-340xx-driver-bin_340.76-3_amd64.deb ...
Unpacking nvidia-legacy-340xx-driver-bin (340.76-3) ...
dpkg: error processing archive /var/cache/apt/archives/nvidia-legacy-340xx-driver-bin_340.76-3_amd64.deb (--unpack):
 trying to overwrite '/usr/share/nvidia/nvidia-application-profiles-340.76-key-documentation', which is also in package nvidia-driver-bin 340.76-1.siduction.1
Preparing to unpack .../libgl1-nvidia-legacy-340xx-glx_340.76-3_i386.deb ...
Unpacking libgl1-nvidia-legacy-340xx-glx:i386 (340.76-3) ...
dpkg: error processing archive /var/cache/apt/archives/libgl1-nvidia-legacy-340xx-glx_340.76-3_i386.deb (--unpack):
 trying to overwrite '/usr/lib/i386-linux-gnu/tls/libnvidia-tls.so.340.76', which is also in package libgl1-nvidia-glx:i386 340.76-1.siduction.1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libnvidia-legacy-340xx-eglcore_340.76-3_amd64.deb
 /var/cache/apt/archives/libgl1-nvidia-legacy-340xx-glx_340.76-3_amd64.deb
 /var/cache/apt/archives/nvidia-legacy-340xx-driver-bin_340.76-3_amd64.deb
 /var/cache/apt/archives/libgl1-nvidia-legacy-340xx-glx_340.76-3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.304
Re: Nvidia driver. Some devices moved to legacy
« Reply #11 on: 2015/04/16, 11:40:49 »
Code: [Select]
apt-get purge $(dpkg -l | awk '/nvidia/{ print $2 }')
apt-get install  nvidia-legacy-340xx-driver
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline spacepenguin

  • User
  • Posts: 863
    • spacepenguin.de
Re: Nvidia driver. Some devices moved to legacy
« Reply #12 on: 2015/04/16, 12:45:33 »
The new Nvidia driver remove some devices to a legacy driver. Take care about upgrade because new legacy drivers is not in the repository right now.

Which driver should I choose with this card?

Code: [Select]
Graphics:  Card: NVIDIA GF119 [GeForce GT 610]
           Display Server: X.Org 1.16.4 driver: nvidia Resolution: 1920x1200@59.95hz
           GLX Renderer: GeForce GT 610/PCIe/SSE2 GLX Version: 4.4.0 NVIDIA 340.76

By now I have 340.76-1.siduction.1 which was in fixes... Is there a list with the supported/moved cards?
Susan | Hardware: SysProfile
Music-Profile: http://www.last.fm/de/user/spacepengu

Offline ghettoblaster

  • User
  • Posts: 55
Re: Nvidia driver. Some devices moved to legacy
« Reply #13 on: 2015/04/16, 13:00:29 »
That did the trick:
Quote
apt-get purge $(dpkg -l | awk '/nvidia/{ print $2 }')
apt-get install  nvidia-legacy-340xx-driver

Thank you very much towo!

 8) Keep up the good work, siduction rocks!

Code: [Select]
apt-cache policy nvidia-legacy-340xx-driver
nvidia-legacy-340xx-driver:
  Installed: 340.76-3
  Candidate: 340.76-3
  Version table:
 *** 340.76-3 0
        500 http://packages.siduction.org/fixes/ unstable/non-free amd64 Packages
        100 /var/lib/dpkg/status

Offline ajavibp

  • User
  • Posts: 86
    • The website of the association where I collaborate.
Re: Nvidia driver. Some devices moved to legacy
« Reply #14 on: 2015/04/16, 13:55:21 »
Code: [Select]
apt-get purge $(dpkg -l | awk '/nvidia/{ print $2 }')
apt-get install  nvidia-legacy-340xx-driver


Thanks! It works like a charm, even with the new 4.0 kernel.